#
# spec file for package nautilus-cd-burner (Version 2.12.3)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs eel eel-devel esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gawk gcc gcc-c++ gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-desktop gnome-desktop-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-menus gnome-menus-devel gnome-vfs2 gnome-vfs2-devel gnome2-user-docs gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv klogd less libacl libart_lgpl libart_lgpl-devel libattr libbeagle libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libcroco libdrm libexif libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libgsf libjpeg libjpeg-devel libnscd libpng libpng-devel librsvg libstdc++ libstdc++-devel libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools nautilus nautilus-devel ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed shared-mime-info startup-notification startup-notification-devel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           nautilus-cd-burner
BuildRequires:  eel-devel gcc-c++ gnutls-devel libgnomeprintui-devel libwnck-devel mDNSResponder-devel nautilus-devel perl-XML-Parser update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        LGPL
Group:          Productivity/Multimedia/CD/Record
Autoreqprov:    on
Requires:       nautilus cdrdao cdrecord dvd+rw-tools gnome-icon-theme
Version:        2.12.3
Release:        20.6
Summary:        CD Burning Extension for Nautilus
Source:         ftp://ftp.gnome.org/pub/gnome/sources/nautilus-cd-burner/2.12/%{name}-%{version}.tar.bz2 
Source1:        nautilus-cd-burner.desktop
Source2:        nautilus-cd-burner-16.png
Source3:        nautilus-cd-burner-22.png
Source4:        nautilus-cd-burner.svg
Patch:          nautilus-cd-burner-backing-file.patch
Patch1:         160904.patch
Patch2:         nautilus-cd-burner-dvd-dl-fix.patch
Patch3:         nautilus-cd-burner-142860-get-drive-from-desktop-icon.diff
URL:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Docdir:         %{_defaultdocdir}
PreReq:         filesystem gconf2

%description
Nautilus-cd-burner is an extension to Nautilus that makes it easy to
write files to a CD burner.

The user uses Nautilus or another Gnome-VFS aware application to copy
the files to write to "burn:///" then Nautilus-cd-burner is launched to
write the files to the CD.



Authors:
--------
    alexl@redhat.com

%debug_package
%package devel
Summary:        CD-Burning Extension for Nautilus
Group:          Productivity/Multimedia/CD/Record
Requires:       %{name} = %{version} glib2-devel gtk2-devel dbus-1-devel
Requires:       hal-devel

%description devel
Nautilus-cd-burner is an extension to Nautilus that makes it easy to
write files to a CD burner.

The user uses Nautilus or another Gnome-VFS aware application to copy
the files he wants to write to "burn:///," and then Nautilus-cd-burner
is launched to write the files to the CD.



Authors:
--------
    alexl@redhat.com

%prep
%setup
%patch
%patch1 -p1
%patch2
%patch3 -p1

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure > configure.tmp && \
        mv configure.tmp configure && chmod 755 configure
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --libexecdir=%prefix/lib/nautilus \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/%_lib
make

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/applications/
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/icons/hicolor/22x22/apps
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/icons/hicolor/scalable/apps
cp %SOURCE1 $RPM_BUILD_ROOT%{prefix}/share/applications/nautilus-cd-burner.desktop
cp %SOURCE2 $RPM_BUILD_ROOT%{prefix}/share/icons/hicolor/16x16/apps/nautilus-cd-burner.png
cp %SOURCE3 $RPM_BUILD_ROOT%{prefix}/share/icons/hicolor/22x22/apps/nautilus-cd-burner.png
cp %SOURCE4 $RPM_BUILD_ROOT%{prefix}/share/icons/hicolor/scalable/apps/nautilus-cd-burner.svg
rm $RPM_BUILD_ROOT%{prefix}/%_lib/gnome-vfs-2.0/modules/*.*a
rm $RPM_BUILD_ROOT%{prefix}/%_lib/nautilus/extensions-1.0/*.*a
%suse_update_desktop_file nautilus-cd-burner
%find_lang %{name}

%post
%run_ldconfig
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/ncb.schemas >/dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING
%{sysconfdir}/gnome-vfs-2.0/modules/*.conf
%{sysconfdir}/gconf/schemas/ncb.schemas
%{prefix}/share/nautilus-cd-burner
%{prefix}/share/applications/*.desktop
%{prefix}/share/icons/hicolor/*
%{prefix}/lib/nautilus
%if "%_lib" != "lib"
%{prefix}/%_lib/nautilus
%endif
%{prefix}/%_lib/gnome-vfs-2.0/modules/*.so
%{prefix}/%_lib/*.so.*
%{prefix}/bin/*

%files devel
%defattr(-, root, root)
%{prefix}/%_lib/*.la
%{prefix}/%_lib/*.so
%{prefix}/%_lib/pkgconfig/libnautilus-burn.pc
%{prefix}/include/libnautilus-burn

%changelog -n nautilus-cd-burner
* Fri Jun 02 2006 - gekker@suse.de
- Add cdrdao to Requires (#181285)
* Wed May 10 2006 - federico@novell.com
- Added nautilus-cd-burner-142860-get-drive-from-desktop-icon.diff to
  fix https://bugzilla.novell.com/show_bug.cgi?id=142860.  This will
  add a "Copy Disc" command to the contextual menu for CD-ROM desktop
  icons.
* Tue Apr 25 2006 - sreeves@suse.de
- Fix for 155740 - new Icon.
* Thu Apr 20 2006 - joeshaw@suse.de
- Fix a bug where DVD+R DL was left out of a list of supported
  media types, preventing them from being burned.  (bnc #164032)
* Tue Apr 11 2006 - sbrabec@suse.cz
- Translate desktop files, added icon.
- Use nautilus for opening burn:/// (#162752).
* Mon Apr 10 2006 - fejj@suse.de
- Use HAL to unmount CDs so that we don't get an error about
  the drive not being listed in /etc/fstab this fixing
  bug #160904.
* Fri Mar 17 2006 - jpr@suse.de
- Check correct location for ISO image (#158711)
* Tue Mar 14 2006 - rodrigo@suse.de
- Updated to 2.12.3, fixes #143578.
  (#143578 Nautilus fails to write CD when requested)
- Removed upstreamed patch.
* Tue Mar 07 2006 - jpr@suse.de
- Remove Icon field for now to fix build.
* Sat Feb 18 2006 - gekker@suse.de
- Fixup .desktop file for UI team
* Wed Feb 15 2006 - gekker@suse.de
- Fix memory corruption (b.g.o#322826)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 - gekker@suse.de
- Update to version 2.12.2
* Thu Oct 13 2005 - gekker@suse.de
- Update to version 2.12.1
* Tue Sep 13 2005 - sbrabec@suse.cz
- Require dvd+rw-tools (#116772).
* Mon Sep 05 2005 - gekker@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.11.7
* Thu Aug 11 2005 - gekker@suse.de
- Update to version 2.11.6
* Tue Aug 02 2005 - gekker@suse.de
- Update to version 2.11.5
* Sat Jul 23 2005 - gekker@suse.de
- Update to 2.11.4
- Remove upstreamed HAL API patch
* Tue Jun 21 2005 - sbrabec@suse.cz
- Split devel subpackage.
* Fri Jun 17 2005 - sbrabec@suse.cz
- Updated to version 2.11.3.
- Build with HAL support.
- HAL API patch.
  http://bugs.gentoo.org/show_bug.cgi?id=91928
* Sat Mar 19 2005 - clahey@suse.de
- Add a .desktop file for cd burner.
* Thu Mar 10 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Fri Mar 04 2005 - gekker@suse.de
- Update to version 2.9.8
* Fri Feb 11 2005 - gekker@suse.de
- Update to version 2.9.6
* Mon Feb 07 2005 - gekker@suse.de
- Update to version 2.9.5
- added gnome-desktop and startup-notification to neededforbuild
* Mon Feb 07 2005 - ro@suse.de
- added gnome-menus to neededforbuild
* Mon Jan 24 2005 - ro@suse.de
- fix build on lib64
* Wed Jan 19 2005 - clahey@suse.de
- Updated to version 2.9.4.
* Tue Nov 02 2004 - mmj@suse.de
- locale rename: no -> nb
* Thu Oct 14 2004 - ro@suse.de
- complete libexecdir usage
* Tue Oct 12 2004 - sbrabec@suse.cz
- Fixed libexecdir for bi-arch (#47050).
* Mon May 10 2004 - sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.6).
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Fri Feb 20 2004 - sbrabec@suse.cz
- Fixed names of GNOME2 packages.
* Thu Feb 12 2004 - hhetter@suse.de
-  gconf schema (de-)installation in %%post and %%postun
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Mon Oct 27 2003 - sbrabec@suse.cz
- Updated to version 0.6.0.
* Thu Oct 09 2003 - hhetter@suse.de
- updated to version 0.5.3
* Tue Aug 19 2003 - sbrabec@suse.cz
- Updated to version 0.5.0.
* Tue Aug 19 2003 - sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jul 11 2003 - hhetter@suse.de
- %%_lib fixes
* Mon Jun 30 2003 - sbrabec@suse.cz
- Updated to version 0.4.3.
- Biarch paths fix.
* Mon Jun 30 2003 - ro@suse.de
- use find_lang
- added nautilus2 to neededforbuild
* Wed Feb 26 2003 - sbrabec@suse.cz
- FHS fix.
* Fri Jan 31 2003 - hhetter@suse.de
- initial SuSE package
